<?php

$n1 = 3.44;
echo $n1;
echo "<br>";
echo $n1_redondeado = round($n1, 1, PHP_ROUND_HALF_UP);
echo "<br>";
echo $n1_redondeado - $n1;
echo "<br>";
echo "<br>";

$n2 = 3.48;
echo $n2;
echo "<br>";
echo $n2_redondeado = round($n2, 1, PHP_ROUND_HALF_UP);
echo "<br>";
echo $n2_redondeado - $n2;
echo "<br>";
echo "<br>";

$n3 = 3.45;
echo $n3;
echo "<br>";
echo $n3_redondeado = round($n3, 1, PHP_ROUND_HALF_UP);
echo "<br>";
echo $n3_redondeado - $n3;
echo "<br>";
echo "<br>";

?>
